import request from '@/utils/request'

// 查询证件管理列表
export function listCertificateManagementInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.certificateManagementInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询证件管理详细
export function getCertificateManagementInfo(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.certificateManagementInfo',
      _mt: 'get',
      id: id
    }
  })
}

// 新增证件管理
export function addCertificateManagementInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.certificateManagementInfo',
      _mt: 'add',
      certificateManagementInfo: data
    }
  })
}

// 修改证件管理
export function updateCertificateManagementInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.certificateManagementInfo',
      _mt: 'update',
      certificateManagementInfo: data
    }
  })
}

// 删除证件管理
export function delCertificateManagementInfo(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.certificateManagementInfo',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出证件管理
export function exportCertificateManagementInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.certificateManagementInfo',
      _mt: 'export',
      ...query
    }
  })
}
